<?php
namespace Sprinix\Banner\Helper;

/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Framework\App\Helper\Context;
use Magento\Store\Model\ScopeInterface;
use Magento\Framework\App\Config\ScopeConfigInterface;

/**
 * Class Data
 * @package Sprinix\Banner\Helper
 */
class Data extends AbstractHelper
{
    /**
     *  path for enable module
     */
    const XML_PATH_EXTENSION_ENABLED = "banner/general/enable";

    /**
     * path for category row
     */
    const XML_PATH_EXTENSION_CATEGORY = "banner/general/category_row";

    /**
     * @var Context
     */
    protected $context;

    /**
     * @var ScopeConfigInterface
     */
    protected $scopeConfig;

    /**
     * Data constructor.
     * @param Context $context
     * @param ScopeConfigInterface $scopeConfig
     */
    public function __construct
    (
        Context $context,
        ScopeConfigInterface $scopeConfig)
    {
        $this->context = $context;
        $this->scopeConfig = $scopeConfig;
        parent::__construct($context);
    }

    /**
     * @return mixed
     */
    public function isEnable()
    {
        return $this->scopeConfig->getValue(  self::XML_PATH_EXTENSION_ENABLED, ScopeInterface::SCOPE_STORE);
    }

    /**
     * @return mixed
     */
    public function getRow()
    {
        return $this->scopeConfig->getValue(  self::XML_PATH_EXTENSION_CATEGORY, ScopeInterface::SCOPE_STORE);
    }
}
