<?php

/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace Sprinix\Banner\Model\Banner\Source;

use Magento\Framework\Data\OptionSourceInterface;

/**
 * Class Position
 * @package Sprinix\Banner\Model\Banner\Source
 */
class Position implements OptionSourceInterface
{

    /**
     * @return array
     */
    public function toOptionArray()
        {
            $availableOptions = ['cms_index_index' => 'Home Page',
                'catalog_product_view' => 'Product Page',
                'catalog_category_view' => 'Category Page'];
            $options = [];
            foreach ($availableOptions as $key => $label) {
                $options[] = [
                    'label' => $label,
                    'value' => $key,
                ];
            }
            return $options;
        }
}
